## org.biojava.bio.program.gff
Class GFFRecordFilter.AcceptAll

    java.lang.Object
      org.biojava.bio.program.gff.GFFRecordFilter.AcceptAll

All Implemented Interfaces:
  GFFRecordFilter

Enclosing class:
  GFFRecordFilter

public static class GFFRecordFilter.AcceptAll
extends java.lang.Object
implements GFFRecordFilter

Implementation of GFFRecordFilter that accepts everything.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.bio.program.gff.GFFRecordFilter
`GFFRecordFilter.AcceptAll, GFFRecordFilter.FeatureFilter, GFFRecordFilter.FrameFilter, GFFRecordFilter.NotFilter, GFFRecordFilter.SequenceFilter, GFFRecordFilter.SourceFilter, GFFRecordFilter.StrandFilter`

Field Summary

Fields inherited from interface org.biojava.bio.program.gff.GFFRecordFilter
`ACCEPT_ALL`

Constructor Summary
`GFFRecordFilter.AcceptAll()`

Method Summary
`boolean` `accept(GFFRecord record)` Return whether or not to accept record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFRecordFilter.AcceptAll

    public GFFRecordFilter.AcceptAll()

Method Detail

### accept

    public boolean accept(GFFRecord record)

  Description copied from interface: `GFFRecordFilter`
  Return whether or not to accept record.

  Specified by:
    `accept` in interface `GFFRecordFilter`
  Returns:
    true